com.salesforce.hyperdb.grpc

## Enum SqlType.ModifierCase

- java.lang.Object
- - java.lang.Enum<SqlType.ModifierCase>
  - - com.salesforce.hyperdb.grpc.SqlType.ModifierCase

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, Serializable, Comparable<SqlType.ModifierCase>

Enclosing class:
  SqlType

    public static enum SqlType.ModifierCase
    extends Enum<SqlType.ModifierCase>
    implements com.google.protobuf.Internal.EnumLite

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EMPTY`
`MAX_LENGTH`
`MODIFIER_NOT_SET`
`NUMERIC_MODIFIER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static SqlType.ModifierCase` `forNumber(int value)`
`int` `getNumber()`
`static SqlType.ModifierCase` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static SqlType.ModifierCase` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SqlType.ModifierCase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EMPTY

    public static final SqlType.ModifierCase EMPTY

#### MAX_LENGTH

    public static final SqlType.ModifierCase MAX_LENGTH

#### NUMERIC_MODIFIER

    public static final SqlType.ModifierCase NUMERIC_MODIFIER

#### MODIFIER_NOT_SET

    public static final SqlType.ModifierCase MODIFIER_NOT_SET

### Method Detail

#### values

    public static SqlType.ModifierCase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SqlType.ModifierCase c : SqlType.ModifierCase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SqlType.ModifierCase valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    @Deprecated
    public static SqlType.ModifierCase valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The number of the enum to look for.
Returns:
  The enum associated with the given number.

#### forNumber

    public static SqlType.ModifierCase forNumber(int value)

#### getNumber

    public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`